Package ru.bgcrm.dao

# Class PatternDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.PatternDAO

public class PatternDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PatternDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deletePattern(int id)`
  `static String`
  `format(ParamExpressionObject params, String pattern)`
  Generation of title from a pattern with parameter values
  `Pattern`
  `getPattern(int id)`
  `List<Pattern>`
  `getPatternList(String object)`
  `void`
  `updatePattern(Pattern pattern)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PatternDAO

    public PatternDAO(Connection con)

- ## Method Details

  - ### format

    public static String format(ParamExpressionObject params, String pattern)
    Generation of title from a pattern with parameter values
    Parameters:
      `params` - param accessor
      `pattern` - the `PatternFormatter` pattern with

          ${param_<PARAM_ID>}

      substitutions
    Returns:
      the formatted title

  - ### getPatternList

    public List<Pattern> getPatternList(String object) throws SQLException
    Throws:
      `SQLException`

  - ### getPattern

    public Pattern getPattern(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updatePattern

    public void updatePattern(Pattern pattern) throws SQLException
    Throws:
      `SQLException`

  - ### deletePattern

    public void deletePattern(int id) throws SQLException
    Throws:
      `SQLException`